
include ${KAN_ROOT}/make/makeComm.mk

OBJS        = $(SRCS:%.cpp=%.o)

all: 		${TARGET}
	@echo "${TARGET} is succefully compiled ;)"

%.o: %.cpp
	$(CC) $(KAN_DFLAGS)  $(KAN_IFLAGS) -c $<  

$(TARGET):		$(OBJS)
	$(CC) -o $@ $(OBJS) ${KAN_LDFLAGS} ${KAN_LIBS}

clean:
	rm -f ${OBJS} ${TARGET}

install: 
	mkdir -p ${INSTALL_BIN}
	install 644 ${TARGET} ${INSTALL_BIN}
