#include "HeapAllocator.h"

HeapAllocator::HeapAllocator()
{
}

HeapAllocator::~HeapAllocator()
{
}

void* HeapAllocator::malloc(size_t size) 
{
    void* ptr = NULL;
    if (!(size > 0))
        return NULL;

    ptr = (char*)malloc(size);
    return  (void*)ptr;
}

void* HeapAllocator::calloc(size_t size, xc8 init_val) 
{
    void* ptr = NULL;
    if (!(size > 0))
        return NULL;

    ptr = new char[size];
    memset(ptr, init_val, size);
    return ptr;
}

void HeapAllocator::free(void* ptr) 
{
    delete [] (char*) ptr;
}

