
#ifndef __IMEMALLOCATOR_H__
#define __IMEMALLOCATOR_H__

#include "kan/KAN.h"

/**
 * Heap, SHM, MMap, Cached Memory Pool, etc...
 */
class IMemAllocator
{
public:
    virtual void*   malloc(size_t size) = 0;
    virtual void*   calloc(size_t nmemb, size_t size) = 0;
    virtual void    free(void* ptr) = 0;
    //virtual void*   realloc(void* ptr, size_t size) = 0;
    //virtual void    dump() = 0;
};

#endif /* __IMEMALLOCATOR_H__ */
