
include ${KAN_ROOT}/make/makeComm.mk

AR_OPT = rcv

OBJS        = $(SRCS:%.cpp=%.o)

all: 		${TARGET}
	@echo "${TARGET} is succefully compiled ;)"

%.o: %.cpp
	$(CC) $(KAN_DFLAGS)  $(KAN_IFLAGS) -c $< -o $@ 

$(TARGET): $(OBJS) 
	$(AR) $(AR_OPT) lib$@.a  $(OBJS)

$(HDRS:.h=.xx):
	cp -f $(@:.xx=.h) $(INSTALL_INC)/kan/

clean:
	rm -f ${OBJS} ${TARGET}

mkdincdir:
	mkdir -p ${INSTALL_INC}/kan/

hdrs: mkdincdir  $(HDRS:.h=.xx)
	@echo "done copy hdrs...." 

install: hdrs
	mkdir -p ${INSTALL_LIB}
	install lib${TARGET}.a ${INSTALL_LIB}
