#ifndef __KAN_ICOMPARABLE_H__
#define __KAN_ICOMPARABLE_H__

template <typename T> 
class IComparator {
public:
    virtual xi32    compare(T e1, T e2) = 0;
    virtual boolean equals(T e1, T e2) = 0;
};

template <typename T> 
class IComparable {
public:
    virtual IComparator<T>*  comparator() = 0;
};

#endif
