#ifndef __KAN_ILIST_ITERATOR_H__
#define __KAN_ILIST_ITERATOR_H__

template <typename T>
class IListIterator: public IIterator<T> {
public:
    virtual boolean     hasNext() = 0;
    virtual boolean     hasPrevious() = 0;
    virtual T           next() = 0;
    virtual xi32        nextIndex() = 0;
    virtual T           previous() = 0;
    virtual xi32        previousIndex() = 0;
    virtual void        remove() = 0;
    virtual T           set(T e) = 0;
};
#endif  /* __KAN_ILIST_ITERATOR_H__ */
